/* sound effect gimmick player - main routine */

#include <exec/types.h>
#include <functions.h>
#include <exec/memory.h>
#include <exec/nodes.h>
#include <exec/lists.h>
#include <stdio.h>
#include <fcntl.h>

#include "assert.h"
#include "iff.h"
#include "8svx.h"

#include "sample.h"
#include "chatter.h"

main(argc,argv)
int argc;
char *argv[];
{
	InitLibraries();
	Init8SVX();
	InitAudio();
	InitTimer();
	InitGabData();
	InitDeferredStuff();
	Config();
	srand(time(0));
	InitSignals();
	randomize_all();
	InitWindow();

	loop();

	cleanup();

#ifdef TRACKER
	TrackerExitReport();
	Delay(100);
#endif

	exit(0);
}

